package yu_bytes

import (
	"unsafe"
)

func Equals(val ...[]byte) bool {
	for j_i := 1; j_i < len(val); j_i++ {
		if *(*string)(unsafe.Pointer(&val[0])) != *(*string)(unsafe.Pointer(&val[j_i])) {
			return false
		}
	}
	return true
}
